Retrieve Machine status history

View as Markdown
Org must have either an Infrastructure Provider entity or a Tenant entity. If org has an Infrastructure Provider entity, then a user with `PROVIDER_ADMIN` role can request details for any Machine on any Site owned by the Provider. If org has a Tenant entity, then a user with `TENANT_ADMIN` role can request details for any Machine associated with Tenant's active Instances.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
machineIdstringRequired
ID of the Machine

Query parameters

pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderBystringOptional
Ordering for pagination query

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK
statusstringOptional
State of the associated entity at a particular time
messagestring or nullOptional

Description of the state and cause/remedy in case of error

createddatetimeOptionalRead-only

Date/time when the associated entity assumed the status

updateddatetimeOptionalRead-only

Date/time when the associated entity was last observed with this status

Errors

403
Forbidden Error